package tfelem

import (
	"time"
)

type ExDataElement struct {
	expsize   int
	fieldname string
}

func (this *ExDataElement) ExpectedSize() int {
	return this.expsize
}

func (this *ExDataElement) PrintElementEx(t time.Time, data map[string]string) string {
	v, ok := data[this.fieldname]
	if ok {
		return v
	} else {
		return ""
	}
}

func NewExDataElement(expsize int, fieldname string) *ExDataElement {
	return &ExDataElement{
		expsize:   expsize,
		fieldname: fieldname,
	}
}
