package timefmt

import (
	"time"
)

type BasicTimeElementWrap struct {
	basic TimeElement
}

func (this *BasicTimeElementWrap) ExpectedSize() int {
	return this.basic.ExpectedSize()
}

func (this *BasicTimeElementWrap) PrintElementEx(t time.Time, data map[string]string) string {
	return this.basic.PrintElement(t)
}

func NewBasicTimeElementWrap(b TimeElement) *BasicTimeElementWrap {
	return &BasicTimeElementWrap{basic: b}
}
